/************************************************************

Created: 2:15 PM Mon, 1 Feb 1993
    AEDatabase.h
    C Interface to the Apple Event Registry


        Copyright Apple Computer, Inc.    1993
        All rights reserved

************************************************************/


#ifndef __AEDATABASE__
#define __AEDATABASE__


enum {
	cDatabase = 'cDB ',
	cDBMS = 'cDBM',
	cHost = 'cHST',
	cKey = 'cKEY',
	cRowSelection = 'crsl',
	cSession = 'cSES',
	enumAccess = 'accs',
	enumGroupFunctions = 'grup',
	enumLockTypes = 'lock',
	enumRepeatValues = 'erpt',
	enumSortDirection = 'sort',
	enumTableTypes = 'tblt',
	errAEDeadlock = -10019,
	errAELockRequestTimeout = -10020,
	errAENoSuchGroupFunction = -10018,
	errAENoSuchSortType = -10017,
	errAENotUnique = -10022,
	errAETransactionTimeout = -10021,
	kAEAbortTransaction = 'ABRT',
	kAEDatabase = 'DATA'
};
enum {
	kAEDBSuite = 'dbst',
	kAEFixedRepeat = 'rFxd',
	kAEGroup = 'GRUP',
	kAESingleValued = 'rSgl',
	kAESort = 'SORT',
	kAEVariableRepeat = 'rVar',
	kAscending = 0,
	kAverage = 'AVRG',
	kCount = 'CONT',
	kCreateAccess = 8,
	kCursor = 'CURS',
	kDeleteAccess = 16,
	kDescending = 1,
	kExclusiveLock = 'EXLK',
	keyAEAccess = 'pACS',
	keyAEAccount = 'pACT',
	keyAEColumnList = 'kCol',
	keyAEColumns = 'COLS',
	keyAECurrentSort = 'pSRT',
	keyAEGroupColumns = 'GRPC'
};
enum {
	keyAEGroupFunctions = 'GRPF',
	keyAEGuest = 'pGST',
	keyAEKind = 'pKND',
	keyAENullsOK = 'pNLS',
	keyAEOpenTransaction = 'pTRN',
	keyAEPassword = 'pPAS',
	keyAEPrimaryKey = 'pPKy',
	keyAERepeating = 'pRPT',
	keyAERepeatSize = 'pRPS',
	keyAESession = 'SESN',
	keyAESortElement = 'SRTE',
	keyAESortType = 'SRTT',
	keyAEUniqueValue = 'pUNQ',
	keyAEUser = 'pUSR',
	kLinkset = 'LINK',
	kMaximum = 'MAX ',
	kMean = 'MEAN',
	kMinimum = 'MIN ',
	kNoAccess = 0,
	kNoLock = 'NOLK'
};
enum {
	kNumeric = 2,
	kReadAccess = 1,
	kSharedLock = 'SHLK',
	kStdDev = 'STDV',
	kSum = 'TOTL',
	kTable = 'TABL',
	kTextual = 0,
	kUpdateAccess = 4,
	kView = 'VIEW',
	kWriteAccess = 2,
	pAccess = 'pACS',
	pAccount = 'pACT',
	pCurrentSort = 'pSRT',
	pGuest = 'pGST',
	pKind = 'pKND',
	pLock = 'pLCK',
	pNullsOk = 'pNLS',
	pOpenTransaction = 'pTRN',
	pPassword = 'pPAS',
	pPrimaryKey = 'pPKy'
};
enum {
	pRepeating = 'pRPT',
	pRepeatSize = 'pRPS',
	pRowIDs = 'pRWS',
	pUniqueValue = 'pUNQ',
	pUser = 'pUSR',
	pValue = 'vlue',
	typeKey = 'cKEY',
	typeRowSelection = 'crsl',
	typeSession = 'cSES'
};


#endif