/*
 	File:		MailSuite.h
 
 	Contains:	Constant declarations for the Mail Suite 1.0
 
 	Version:	1.0
 
 	DRI:		Greg Scown
 
 	Copyright:	 1995-1996 by Apple Computer, Inc.
 				All rights reserved.
 
*/


/* Constants defined in the Mail Suite */

enum {
	kAEMailSuite			=	'mail',
	kAEMailSend				=	'send'
};

/* Classes defined in the Mail Suite */

enum {
	cAddress				= 	'addr',
	cInLetter				=	'inl ',
	cInMessage				=	'inm ',
	cInTray					=	'int ',
	cMessage				=	'msg ',
	cMessageContainer		=	'msgc',
	cOutLetter				=	'outl',
	cOutMessage				=	'outm',
	cOutTray				=	'outt',
	cRecipient				=	'rcpt'
};

/* Properties defined in the Mail Suite */

enum {
	pAddressString			=	'astr',
	pAddressType			=	'atyp',
	pAddressURL				=	'aurl',
	pContent				=	'ctnt',
	pDeliveryStatus			=	'dlvs',
	pDisplayName			=	'dspn',
	pMessageCreator			=	'mcrt',
	pMessageType			=	'mtyp',
	pPriority				=	'prty',
	pRead					=	'read',
	pReadStatus				=	'rdst',
	pReceived				=	'rcvd',
	pRecipientType			=	'rtyp',
	pSender					=	'sndr',
	pStorage				=	'stor',
	pSubject				=	'subj',
	pTimeSent				=	'tims'
};

/* Enumerations defined in the Mail Suite */

enum {

	/* Delivery status */
	enumUnsent				=	'unst',
	enumInTransit			=	'intr',
	enumSent				=	'sent',
	enumProblem				=	'prob',
	
	/* Read status */
	enumUntouched			=	'untc',
	enumOpened				=	'opnd',
	enumRead				=	'read',
	enumInTrash				=	'itrs',
	
	/* Priority */
	enumLowPriority			=	'!low',
	enumHighPriority		=	'!hgh',
	enumNormalPriority		=	'!nrm',
	
	/* Recipient type */
	enumToRecipient			=	'!to ',
	enumCCRecipient			=	'!cc ',
	enumBCCRecipient		=	'!bcc',
	
	/* Address type */
	enumInternetAddress		=	'@int',
	enumFaxAddress			=	'@fax',
	enumAppleTalkAddress	=	'@atk',
	enumPowerShareAddress	=	'@ps ',
	enumPowerTalkAddress	=	'@pt '
	
};